Ticket #777 (closed enhancement: fixed)

Opened 10 years ago

Last modified 8 years ago

携帯でも記事・メッセージにファイルが添付されていることを確認できるようにする

Reported by: kiwa Assigned to: ruikubo
Priority: minor Milestone: OpenPNE2.13.7
Component: pne-ktai Version:
Keywords: Cc:

Description (Last modified by kiwa)

■概要

PCからファイルをアップロードされたトピック・イベント・メッセージがある場合、携帯からはファイルが添付されているかどうか確認できない。

ファイルが添付されているトピック・イベント・メッセージにはその旨の文言を記載することで、携帯からでもわかるようにする。

■仕様

  • コミュニティトピック(c_bbs, c_bbs_delete_c_commu_topic_comment_confirm)
  • メッセージ(h_message)

にて、ファイルが添付されている場合はファイル名を表示させる。

■関連情報

Attachments

trunk.patch (7.9 kB) - added by ruikubo on 02/09/09 16:19:33.
2系trunk版のパッチを作成しました
c_bbs.png (9.8 kB) - added by ruikubo on 02/09/09 16:20:16.
画面キャプチャ(1/3)
c_bbs_delete_c_commu_topic_comment_confirm.png (5.1 kB) - added by ruikubo on 02/09/09 16:20:27.
画面キャプチャ(2/3)
h_message.png (7.2 kB) - added by ruikubo on 02/09/09 16:20:40.
画面キャプチャ(3/3)

Change History

05/16/07 19:53:40 changed by ogawa

  • owner changed from nobody to kunitada.

05/16/07 21:34:15 changed by kunitada

  • owner changed from kunitada to ogawa.
  • milestone changed from OpenPNE2.8beta8 to OpenPNE2.10開発タスク.

2.10対応に見送ります。

05/16/07 21:34:22 changed by kunitada

  • owner changed from ogawa to nobody.

08/02/07 22:04:43 changed by tejima

  • milestone changed from OpenPNE2.10開発タスク to OpenPNE2.10.

08/15/07 12:45:39 changed by tejima

  • keywords set to pne-ktai.

08/23/07 00:59:49 changed by tejima

  • keywords deleted.
  • component changed from user【ユーザー向け機能】 to pne-ktai.

08/27/07 17:17:17 changed by kunitada

  • milestone deleted.

10/30/07 12:21:59 changed by kiwa

  • summary changed from 携帯:トピックにファイルがあがっている場合、携帯からファイルがあることを確認できない to 携帯:トピックにファイルがあがっている場合、携帯からファイルがあることを確認できるようにしたい.
  • milestone set to OpenPNE2.12.

要望扱いに変更します

10/30/07 12:38:46 changed by kiwa

  • type changed from defect to enhancement.

01/24/08 16:17:00 changed by kiwa

  • milestone deleted.

02/09/09 16:19:33 changed by ruikubo

  • attachment trunk.patch added.

2系trunk版のパッチを作成しました

02/09/09 16:20:16 changed by ruikubo

  • attachment c_bbs.png added.

画面キャプチャ(1/3)

02/09/09 16:20:27 changed by ruikubo

  • attachment c_bbs_delete_c_commu_topic_comment_confirm.png added.

画面キャプチャ(2/3)

02/09/09 16:20:40 changed by ruikubo

  • attachment h_message.png added.

画面キャプチャ(3/3)

02/09/09 16:25:02 changed by ruikubo

パッチの補足

携帯サイトの下記画面で

  • コミュニティトピック(c_bbs, c_bbs_delete_c_commu_topic_comment_confirm)
  • メッセージ(h_message)

ファイルが添付されている場合に、オリジナルのファイル名を表示するようにしています。

02/25/09 14:24:40 changed by kiwa

  • milestone set to OpenPNE2.13.7.

見落としてましたー;;ありがとうございます!

3月の2.13.7で取り込みたいと思います。

03/11/09 15:32:18 changed by nakasone

  • keywords set to 確認中.

以下のリビジョンで対応しました。

  • 添付されたパッチの取り込み - r10994

03/11/09 21:36:25 changed by ruikubo

ファイルアップロードのイベント対応(#2673)に伴う対応を、ブランチ(r11000)で行ったので、追加のマージをお願いします。

トピックと同様に、イベントでもアップロードファイル名を表示させるようにしています。

04/07/09 16:43:02 changed by ogawa

  • keywords changed from 確認中 to 差し戻し.
  • comment:14 の追加マージをお願いします
  • c_bbs 以外のページにも対応されているので Description の更新をお願いします
  • 「Assigned to: nobody」になったままです

04/10/09 16:53:16 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

やります

04/10/09 22:35:26 changed by nagasawa

やります

04/10/09 22:37:25 changed by nagasawa

  • owner changed from kiwa to nagasawa.
  • status changed from assigned to new.
  • description changed.

04/10/09 22:45:12 changed by nagasawa

  • keywords changed from 差し戻し to 確認中.

r11268 でマージしました。

04/14/09 12:27:58 changed by kiwa

  • description changed.
  • summary changed from 携帯:トピックにファイルがあがっている場合、携帯からファイルがあることを確認できるようにしたい to 携帯でも記事・メッセージにファイルが添付されていることを確認できるようにする.

descriptionをフォーマットに沿わせました

(follow-up: ↓ 22 ) 04/16/09 12:03:50 changed by kiwa

  • keywords deleted.
  • owner changed from nagasawa to ruikubo.

■内容

携帯でも記事・メッセージにファイルが添付されていることを確認できるようにする機能について、 comment:ticket:777:19 以降のコードチェックが行われていないため、コードチェックする。

■関連情報

#777:携帯でも記事・メッセージにファイルが添付されていることを確認できるようにする

(in reply to: ↑ 21 ) 04/16/09 12:05:04 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

Replying to kiwa:

コメントは誤りです。失礼しました。

#3834:携帯でも記事・メッセージにファイルが添付されていることを確認できるようにする機能 コードチェック

残りのコードチェックは上のチケットで行います。動作を確認したところ致命的な問題はなさそうなので、今回はこれで完了とします。